%define _unpackaged_files_terminate_build 1
%define oname phonon

%def_disable check

Name: python3-module-%oname
Version: 3.1
Release: alt2

Summary: Provides easy, fault tolerant, distributed references with redis as a backend

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/phonon/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

# generated by epm --restore --dry-run from phonon/setup.py install_requires=[
%py3_use redis-py >= 2.10.5
%py3_use pytz >= 2014.10
%py3_use tornado >= 4.3

%if_with check
# generated by epm --restore --dry-run from phonon/setup.py tests_require=[
%py3_buildrequires funcsigs >= 0.4
%py3_buildrequires mock >= 1.3.0
%py3_buildrequires pbr >= 1.8.1
%endif

%description
The main goals of the Phonon project are

1. Provide a high-level abstraction for easy coordination in Python
2. Fault tolerance for network partitions, single, and multi- node
   failures
3. Failover for unreachable hosts
4. High availability and linear scaling

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
%python3_test

%files
%doc PKG-INFO
%python3_sitelibdir/*

%changelog
* Sat Nov 07 2020 Vitaly Lipatov <lav@altlinux.ru> 3.1-alt2
- fix test removing (ALT bug 39206)

* Sat Oct 31 2020 Vitaly Lipatov <lav@altlinux.ru> 3.1-alt1
- new version 3.1 (with rpmrb script)
- don't pack test* (ALT bug 33947)

* Sat Oct 31 2020 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt2
- build python3 separately

* Tue Jan 17 2017 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1
- automated PyPI update

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.5-alt1.git20150212.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 0.5-alt1.git20150212.1
- NMU: Use buildreq for BR.

* Wed Feb 18 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5-alt1.git20150212
- Initial build for Sisyphus

